package OpenSourceProjects_Storybook.patches.projects

import jetbrains.buildServer.configs.kotlin.v2017_2.*
import jetbrains.buildServer.configs.kotlin.v2017_2.Project
import jetbrains.buildServer.configs.kotlin.v2017_2.ProjectFeature
import jetbrains.buildServer.configs.kotlin.v2017_2.ui.*

/*
This patch script was generated by TeamCity on settings change in UI.
To apply the patch, change the project with uuid = '69382d9b-7791-418a-9ff6-1c83b86ed6b5' (id = 'OpenSourceProjects_Storybook')
accordingly, and delete the patch script.
*/
changeProject("69382d9b-7791-418a-9ff6-1c83b86ed6b5") {
    features {
        val feature1 = find<ProjectFeature> {
            feature {
                type = "project-graphs"
                id = "PROJECT_EXT_306"
                param("format", "duration")
                param("series", """
                    [
                      {
                        "type": "valueType",
                        "title": "Build Duration (all stages)",
                        "sourceBuildTypeId": "OpenSourceProjects_Storybook_Build_2",
                        "key": "BuildDuration"
                      }
                    ]
                """.trimIndent())
                param("seriesTitle", "Serie")
                param("title", "New chart title")
            }
        }
        feature1.apply {
            param("hideFilters", "")
            param("title", "Build Duration (all stages)")
            param("defaultFilters", "")
        }
        val feature2 = find<ProjectFeature> {
            feature {
                type = "project-graphs"
                id = "PROJECT_EXT_307"
                param("defaultFilters", "")
                param("format", "percent")
                param("hideFilters", "")
                param("series", """
                    [
                      {
                        "type": "valueType",
                        "title": "Covered Percentage of JS Lines",
                        "sourceBuildTypeId": "OpenSourceProjects_Storybook_Test",
                        "key": "Covered Percentage of JS Lines"
                      }
                    ]
                """.trimIndent())
                param("seriesTitle", "Serie")
                param("title", "New chart title")
            }
        }
        feature2.apply {
            param("title", "Covered Percentage of JS Lines")
        }
        val feature3 = find<ProjectFeature> {
            feature {
                type = "project-graphs"
                id = "PROJECT_EXT_308"
                param("format", "integer")
                param("series", """
                    [
                      {
                        "type": "valueType",
                        "title": "Total Number of JS Statements",
                        "sourceBuildTypeId": "OpenSourceProjects_Storybook_Test",
                        "key": "Total Number of JS Statements"
                      }
                    ]
                """.trimIndent())
                param("seriesTitle", "Serie")
                param("title", "New chart title")
            }
        }
        feature3.apply {
            param("hideFilters", "")
            param("title", "Total Number of JS Statements")
            param("defaultFilters", "")
        }
        add {
            feature {
                type = "project-graphs"
                id = "PROJECT_EXT_117"
                param("series", """
                    [
                      {
                        "type": "valueType",
                        "title": "Total Artifacts Size",
                        "sourceBuildTypeId": "OpenSourceProjects_Storybook_CliTestLatestCra",
                        "key": "ArtifactsSize"
                      }
                    ]
                """.trimIndent())
                param("format", "text")
                param("title", "Total Artifacts Size")
                param("seriesTitle", "Serie")
            }
        }
    }
}
